Profile Matching
Apply profile and get recommended events
POST
/
external
/
profile-matching
/
actions
/
apply-recommended-events
/
paged
Apply profile and get recommended events
curl --request POST \
--url https://platform.lensmor.com/external/profile-matching/actions/apply-recommended-events/paged \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_url": "<string>",
"target_audience": "<string>",
"page": 1,
"pageSize": 20,
"autoRecommendTop3EventsEnabled": true,
"city": "<string>",
"region": "<string>",
"country": "<string>",
"category": [
"<string>"
],
"eventTypeIds": [
123
],
"dateStartFrom": "2023-12-25",
"dateStartTo": "2023-12-25",
"future": 123,
"attendeeCountMin": 1,
"attendeeCountMax": 1
}
'import requests
url = "https://platform.lensmor.com/external/profile-matching/actions/apply-recommended-events/paged"
payload = {
"company_url": "<string>",
"target_audience": "<string>",
"page": 1,
"pageSize": 20,
"autoRecommendTop3EventsEnabled": True,
"city": "<string>",
"region": "<string>",
"country": "<string>",
"category": ["<string>"],
"eventTypeIds": [123],
"dateStartFrom": "2023-12-25",
"dateStartTo": "2023-12-25",
"future": 123,
"attendeeCountMin": 1,
"attendeeCountMax": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_url: '<string>',
target_audience: '<string>',
page: 1,
pageSize: 20,
autoRecommendTop3EventsEnabled: true,
city: '<string>',
region: '<string>',
country: '<string>',
category: ['<string>'],
eventTypeIds: [123],
dateStartFrom: '2023-12-25',
dateStartTo: '2023-12-25',
future: 123,
attendeeCountMin: 1,
attendeeCountMax: 1
})
};
fetch('https://platform.lensmor.com/external/profile-matching/actions/apply-recommended-events/paged', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"eventId": "<string>",
"name": "<string>",
"nickname": "<string>",
"description": "<string>",
"url": "<string>",
"dateStart": "2023-12-25",
"dateEnd": "2023-12-25",
"venue": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"exhibitorCount": 123,
"image": "<string>",
"dataSource": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123,
"hasMore": true,
"status": "<string>",
"condition_tags": {},
"profile_version": 123,
"active_result_version": 123,
"is_stale": true
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}{
"code": 123,
"message": "<string>",
"errorKey": "<string>",
"traceId": "<string>"
}Authorizations
Send the full Business API key from Settings -> API Keys, for example Authorization: Bearer sk_your_api_key.
Body
application/json
- Option 1
- Option 2
Required range:
x >= 1Required range:
1 <= x <= 100Required range:
x >= 0Required range:
x >= 0⌘I
Apply profile and get recommended events
